// SampleRegLibrary.h
//

#pragma once

#if !defined (__SAMPLE_REG_LIBRARY_H__)
#define __SAMPLE_REG_LIBRARY_H__

// ,     
LSTATUS RegGetValueType(HKEY hKey, LPCTSTR lpValueName, LPDWORD lpdwType);

//     

LSTATUS RegGetValueQWORD(HKEY hKey, LPCTSTR lpValueName, PULONG64 lpdwData);

LSTATUS RegGetValueDWORD(HKEY hKey, LPCTSTR lpValueName, LPDWORD lpdwData);

LSTATUS RegGetValueSZ(HKEY hKey, LPCTSTR lpValueName, LPTSTR lpszData, DWORD cch, LPDWORD lpcchNeeded);

LSTATUS RegGetValueExpandSZ(HKEY hKey, LPCTSTR lpValueName, LPTSTR lpszData, DWORD cch, LPDWORD lpcchNeeded);

LSTATUS RegGetValueMultiSZ(HKEY hKey, LPCTSTR lpValueName, LPTSTR lpszData, DWORD cch, LPDWORD lpcchNeeded);

LSTATUS RegGetValueBinary(HKEY hKey, LPCTSTR lpValueName, LPBYTE lpData, DWORD cb, LPDWORD lpcbNeeded);

//      

LSTATUS RegSetValueQWORD(HKEY hKey, LPCTSTR lpValueName, ULONG64 dwData);

LSTATUS RegSetValueDWORD(HKEY hKey, LPCTSTR lpValueName, DWORD dwData);

LSTATUS RegSetValueSZ(HKEY hKey, LPCTSTR lpValueName, LPCTSTR lpszData);

LSTATUS RegSetValueExpandSZ(HKEY hKey, LPCTSTR lpValueName, LPCTSTR lpszData);

LSTATUS RegSetValueMultiSZ(HKEY hKey, LPCTSTR lpValueName, LPCTSTR lpszData);

LSTATUS RegSetValueBinary(HKEY hKey, LPCTSTR lpValueName, LPCBYTE lpData, DWORD cb);

#endif /* __SAMPLE_REG_LIBRARY_H__ */
