// FileMapping.cpp
//
// Copyright (c), ..  (andrei.glukhoedov@gmail.com)
//

#include <Windows.h>

#include "SampleIPCLibrary.h"

// ------------------------------------------------------------------------------------------------
BOOL WriteFileMapping(HANDLE hFileMapping, LPCVOID lpData, DWORD cb)
{
    //         
    PBYTE pbFile = (PBYTE)MapViewOfFile(hFileMapping, FILE_MAP_WRITE, 0, 0, cb);
    if (NULL == pbFile) return FALSE;

    //      
    CopyMemory(pbFile, lpData, cb);

    //       
    BOOL bRet = FlushViewOfFile(pbFile, cb);

    //   
    UnmapViewOfFile(pbFile);

    return bRet;
} // WriteFileMapping

// ------------------------------------------------------------------------------------------------
BOOL ReadFileMapping(HANDLE hFileMapping, LPVOID lpData, DWORD cb)
{
    //        
    PBYTE pbFile = (PBYTE)MapViewOfFile(hFileMapping, FILE_MAP_READ, 0, 0, cb);
    if (NULL == pbFile) return FALSE;

    //      
    CopyMemory(lpData, pbFile, cb);

    //   
    UnmapViewOfFile(pbFile);

    return TRUE;
} // ReadFileMapping
